name: diplomaticquarterapp
description: A new Flutter application.


version: 4.3.5+1

environment:
  sdk: ">=2.9.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter

  # Localizations
  flutter_localizations:
    sdk: flutter
  intl: ^0.16.0
  # web view
  webview_flutter: ^1.0.7
  # http client
  http: ^0.12.1
  connectivity: ^0.4.9+3
  async: ^2.4.2

  audio_wave: ^0.0.3
  # State Management
  provider: ^4.3.2+2

  #Dependency Injection
  get_it: ^4.0.2

  #Google Fit & Apple HealthKit
  fit_kit: ^1.1.2

  #chart
  fl_chart: ^0.12.3

  # Permissions
  permission_handler: ^5.0.0+hotfix.3
  device_info: ^0.4.2+4

  # Flutter Html View
  flutter_html: ^1.2.0

  # Pagnation
  pull_to_refresh: 1.6.2

  # Native
  flutter_device_type: ^0.2.0
  local_auth: ^0.6.2+3
  localstorage: ^3.0.3+6
  maps_launcher: ^1.2.1
  url_launcher: ^5.5.0
  shared_preferences: ^0.5.8
  flutter_flexible_toast: ^0.1.4
  firebase_messaging: ^7.0.3
  firebase_analytics: ^6.3.0
  cloud_firestore: ^0.14.3
  # Progress bar
  progress_hud_v2: ^2.0.0
  percent_indicator: ^2.1.5

  # Icons
  font_awesome_flutter: any
  cupertino_icons: ^1.0.0

  # Image Attachments
  image_picker: ^0.6.7+1

  #GIF image
  flutter_gifimage: ^1.0.1
  photo_view: any
  #  flutter_webrtc:  any

  # UI Reqs
  expandable: ^4.1.4

  # Notification Banner
  #  dropdown_banner: ^1.4.0
  #  flutter_xlider: ^3.4.0
  #  flutter_local_notifications:

  # charts
  charts_flutter: ^0.9.0

  google_maps_flutter: ^1.0.3
  huawei_map: ^5.0.3+303

  # Qr code Scanner TODO fix it
  #  barcode_scanner: ^1.0.1
  flutter_polyline_points: ^0.1.0
  location: ^2.3.5
  # Qr code Scanner
  barcode_scan_fix: ^1.0.2

  # Rating Stars
  rating_bar: ^0.2.0

  # Calendar
  syncfusion_flutter_calendar: ^18.4.49

  # SVG Images
  flutter_svg: ^0.19.0

  #Calendar Events
  manage_calendar_events: ^1.0.2

  #InAppBrowser
  flutter_inappwebview: ^4.0.0+4

  #Circular progress bar for reverse timer
  circular_countdown_timer: ^0.0.5

  #Just Audio to play ringing for incoming video call
  just_audio: ^0.3.4

  #hijri
  hijri: ^2.0.3

  #datetime_picker
  flutter_datetime_picker: ^1.4.0
  # Carousel
  carousel_pro: ^1.0.0

  #local_notifications
  flutter_local_notifications: ^1.5.0

  #rxdart
  rxdart: ^0.24.1

  #device_calendar
  device_calendar: ^3.1.0

  #Handle Geolocation
  geolocator: ^6.1.10

  jiffy: ^3.0.0

  #Flutter WebRTC
  flutter_webrtc: ^0.5.9

  screen: ^0.0.5

  #google maps places
  google_maps_place_picker: ^1.0.0

  #countdown timer for Upcoming List
  flutter_countdown_timer: ^1.6.0

  #Dependencies for video call implementation
  native_device_orientation: ^0.3.0
  enum_to_string: ^1.0.9
  wakelock: ^0.2.1+1
  after_layout: ^1.0.7
  twilio_programmable_video: ^0.6.2
  cached_network_image: ^2.4.1
  flutter_tts:
    path: flutter_tts-voice_enhancement
  # flutter_tts: ^1.2.6
  sms_otp_auto_verify: ^1.2.2

  wifi: ^0.1.5
  vibration: ^1.7.3
  nfc_in_flutter: ^2.0.5

  speech_to_text:
    path: speech_to_text

  in_app_update: ^1.1.15

  in_app_review: ^1.0.4

  badges: ^1.1.4
  syncfusion_flutter_sliders: ^18.4.49-beta
  searchable_dropdown: ^1.1.3
  dropdown_search: 0.4.9

  # Dep by Zohaib
  shimmer: ^1.1.2
  carousel_slider: ^2.3.1
  flutter_material_pickers: 1.7.4
  flutter_staggered_grid_view: 0.3.4
  flutter_hms_gms_availability: ^1.0.0
  huawei_location:
    path: ./hms-plugins/flutter-hms-location


  # Marker Animation
  flutter_animarker: ^1.0.0
  auto_size_text: ^2.0.1
  equatable: ^1.2.5
  signalr_core: ^1.0.8
  wave: ^0.1.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  build_runner: any


flutter:

  uses-material-design: true

  # assets:
  assets:
    - assets/images/
    - assets/images/map_markers/
    - assets/images/pharmacy/
    - assets/images/medical/
    - assets/images/new-design/
    - assets/images/login/
    - assets/images/SmartWatches/
    - assets/images/DQ/
    - assets/images/BMI/
    - assets/json/
    - assets/sounds/
    - assets/images/svg/
    - assets/tracker/
    - assets/images/AlHabibMedicalService/
    - assets/images/AlHabibMedicalService/health_calculator/
    - assets/images/pharmacy_module/
    - assets/images/gif/
    - assets/images/pharmacy_module/payment/
    - assets/images/pharmacy_module/lakum/
    - assets/images/nfc/
    - assets/payment_options/

    - assets/images/new/
    - assets/images/new/mass/
    - assets/images/new/bottom_nav/
    - assets/images/new/services/
    - assets/images/new/appointment-rating/
    - assets/images/new/payment/
    - assets/images/new/body_parts/
    - assets/images/new/body_parts/male/
    - assets/images/new/body_parts/female/

  fonts:
    - family: WorkSans
      fonts:
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Light_0.eot
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Light_0.otf
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Light_0.ttf
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Light_0.woff
          weight: 300
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Regular.otf
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Regular.ttf
        - asset: assets/fonts/en/WorkSans-Light/WorkSans-Regular.woff
          weight: 400
        - asset: assets/fonts/en/WorkSans-Bold/WorkSans-Bold.eot
        - asset: assets/fonts/en/WorkSans-Bold/WorkSans-Bold.otf
        - asset: assets/fonts/en/WorkSans-Bold/WorkSans-Bold.ttf
        - asset: assets/fonts/en/WorkSans-Bold/WorkSans-Bold.woff
          weight: 700

    - family: Cairo
      fonts:
        - asset: assets/fonts/ar/Cairo-Light/Cairo-Light.eot
        - asset: assets/fonts/ar/Cairo-Light/Cairo-Light.otf
        - asset: assets/fonts/ar/Cairo-Light/Cairo-Light.ttf
        - asset: assets/fonts/ar/Cairo-Light/Cairo-Light.woff
          weight: 300

        - asset: assets/fonts/ar/Cairo-Bold/Cairo-Bold.eot
        - asset: assets/fonts/ar/Cairo-Bold/Cairo-Bold.otf
        - asset: assets/fonts/ar/Cairo-Bold/Cairo-Bold.ttf
        - asset: assets/fonts/ar/Cairo-Bold/Cairo-Bold.woff
          weight: 700

    - family: DQIcons
      fonts:
        - asset: assets/app_icons/fonts/DQIcons.ttf

    - family: Poppins
      fonts:
        - asset: assets/fonts/poppins/Poppins-Black.ttf
          weight: 900
        - asset: assets/fonts/poppins/Poppins-ExtraBold.ttf
          weight: 800
        - asset: assets/fonts/poppins/Poppins-Bold.ttf
          weight: 700
        - asset: assets/fonts/poppins/Poppins-SemiBold.ttf
          weight: 600
        - asset: assets/fonts/poppins/Poppins-Medium.ttf
          weight: 500
        - asset: assets/fonts/poppins/Poppins-Regular.ttf
          weight: 400
        - asset: assets/fonts/poppins/Poppins-Light.ttf
          weight: 300
        - asset: assets/fonts/poppins/Poppins-ExtraLight.ttf
          weight: 200
        - asset: assets/fonts/poppins/Poppins-Thin.ttf
          weight: 100